%define sname	gphoto2
%define major	6
%define majport	12
%define libname	%mklibname %{sname}_ %{major}
%define libport	%mklibname %{sname}_port %{majport}
%define devname	%mklibname gphoto -d


Summary:	Library to access digital cameras
Name:		libgphoto
Version:	2.5.16
Release:	1
License:	LGPL+ and GPLv2+ and (LGPL+ or BSD-like)
Group:		Graphics
Url:		http://sourceforge.net/projects/gphoto/
Source0:	http://downloads.sourceforge.net/project/gphoto/%{name}/%{version}/%{name}2-%{version}.tar.bz2
#Fedora patchset
Patch1:		gphoto2-pkgcfg.patch
Patch2:		gphoto2-storage.patch
Patch3:		gphoto2-ixany.patch
Patch4:		gphoto2-device-return.patch
Patch5:		libgphoto2-2.5.8-compile.patch
BuildRequires:	findutils
BuildRequires:	gd-devel
BuildRequires:	gettext-devel
BuildRequires:	jpeg-devel
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(lockdev)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	systemd
Requires:	lockdev

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the library that digital camera applications
can use.

Frontends (GUI and command line) are available separately.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library to access to digital cameras
Group:		Graphics
Provides:	%{name} = %{EVRD}
Requires:	%{name}-common
Conflicts:	%{_lib}gphoto6 < 2.5.1.1-2
Obsoletes:	%{_lib}gphoto6 < 2.5.1.1-2

%description -n %{libname}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%files -n %{libname}
%{_libdir}/libgphoto2.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libport}
Summary:	Library to access to digital cameras
Group:		Graphics
Suggests:	%{name}-common = %{EVRD}
Conflicts:	%{_lib}gphoto6 < 2.5.1.1-2

%description -n %{libport}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%files -n %{libport}
%{_libdir}/libgphoto2_port.so.%{majport}*

#----------------------------------------------------------------------------

%package common
Summary:	Non-library files for libgphoto
Group:		Graphics
Requires:	%{libname} = %{EVRD}
Requires:	%{libport} = %{EVRD}

%description common
Non-library files for libgphoto.

%files common -f %{name}.lang
%{_datadir}/libgphoto2
%{_datadir}/libgphoto2_port/*/vcamera/README.txt
%{_libdir}/libgphoto2
%{_libdir}/libgphoto2_port
%{_udevrulesdir}/40-libgphoto2.rules
/lib/udev/check-ptp-camera

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and links to compile against the "%{libname}" library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libport} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%files -n %{devname}
%{_bindir}/*
%{_includedir}/gphoto2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*
%docdir %{_docdir}/%{libname}
%{_docdir}/%{libname}
%doc ABOUT-NLS ChangeLog HACKING MAINTAINERS TESTERS

#----------------------------------------------------------------------------

%prep
%setup -qn lib%{sname}-%{version}
%apply_patches

%build
autoreconf -fi
export udevscriptdir=/lib/udev
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--with-drivers=all \
	--with-doc-dir=%{_docdir}/%{libname}

# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libgphoto2_port/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libgphoto2_port/libtool

%make

%install
%makeinstall_std

# remove circular symlink in /usr/include/gphoto2 (#460807)
rm -f %{buildroot}%{_includedir}/gphoto2/gphoto2

# # Output udev rules for device identification; this is used by GVfs gphoto2
# backend and others.
#
# Btw, since it's /lib/udev, never e.g. /lib64/udev, we hardcode the path
#
mkdir -p %{buildroot}/lib/udev/rules.d
LD_LIBRARY_PATH=%{buildroot}%{_libdir} %{buildroot}%{_libdir}/libgphoto2/print-camera-list udev-rules version 136 > %{buildroot}/lib/udev/rules.d/40-libgphoto2.rules

# remove unneeded print-camera-list from libdir (Fedora #745081)
rm -f %{buildroot}%{_libdir}/libgphoto2/print-camera-list

%find_lang libgphoto2-6
%find_lang libgphoto2_port-%{majport}
cat libgphoto2-6.lang libgphoto2_port-%{majport}.lang > %{name}.lang

# Multiarch setup
%multiarch_binaries %{buildroot}%{_bindir}/gphoto2-config

%multiarch_binaries %{buildroot}%{_bindir}/gphoto2-port-config

# Don't need to package this
rm -f %{buildroot}%{_docdir}/%{libname}/COPYING


%changelog

* Tue Dec 05 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.5.16-1
- (3cce399) New version 2.5.16


